| The Gaudi Framework v28r2-patches (bc4ad17a)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
IAlgTool Class Referenceabstract

The interface implemented by the AlgTool base class. More...

`#include <GaudiKernel/IAlgTool.h>`

Inheritance diagram for IAlgTool:
[legend]
Collaboration diagram for IAlgTool:
[legend]

## Public Member Functions
| DeclareInterfaceID (IAlgTool, 4, 0)
| InterfaceID. More...
virtual const std::string & | type () const =0
| The type of an AlgTool, meaning the concrete AlgTool class. More...
virtual const IInterface * | parent () const =0
| The parent of the concrete AlgTool. More...
virtual StatusCode | configure ()=0
| Configuration (from OFFLINE to CONFIGURED). More...
virtual StatusCode | initialize ()=0
| Initialization (from CONFIGURED to INITIALIZED). More...
virtual StatusCode | start ()=0
| Start (from INITIALIZED to RUNNING). More...
virtual StatusCode | stop ()=0
| Stop (from RUNNING to INITIALIZED). More...
virtual StatusCode | finalize ()=0
| Finalize (from INITIALIZED to CONFIGURED). More...
virtual StatusCode | terminate ()=0
| Initialization (from CONFIGURED to OFFLINE). More...
virtual StatusCode | reinitialize ()=0
| Initialization (from INITIALIZED or RUNNING to INITIALIZED, via CONFIGURED). More...
virtual StatusCode | restart ()=0
| Initialization (from RUNNING to RUNNING, via INITIALIZED). More...
virtual Gaudi::StateMachine::State | FSMState () const =0
| Get the current state. More...
virtual StatusCode | sysInitialize ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysStart ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysStop ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysFinalize ()=0
| Finalization of the Tool. More...
virtual StatusCode | sysReinitialize ()=0
| Initialization of the Tool. More...
virtual StatusCode | sysRestart ()=0
| Initialization of the Tool. More...
Public Member Functions inherited from INamedInterface
| DeclareInterfaceID (INamedInterface, 1, 0)
| InterfaceID. More...
virtual const std::string & | name () const =0
| Retrieve the name of the instance. More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

The interface implemented by the AlgTool base class.

Concrete tools, derived from the AlgTool based class are controlled via this interface.

Author
  Gloria Corti
  Pere Mato

Date
  15/11/01 version 2 introduced

Definition at line 23 of file IAlgTool.h.

## Member Function Documentation

virtual StatusCode IAlgTool::configure | ( |  | ) |
| pure virtual

Configuration (from OFFLINE to CONFIGURED).

IAlgTool::DeclareInterfaceID | ( | IAlgTool | ,
|  | 4 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IAlgTool::finalize | ( |  | ) |
| pure virtual

Finalize (from INITIALIZED to CONFIGURED).

Implemented in SequencerTimerTool.

virtual Gaudi::StateMachine::State IAlgTool::FSMState | ( |  | ) | const
| pure virtual

Get the current state.

virtual StatusCode IAlgTool::initialize | ( |  | ) |
| pure virtual

Initialization (from CONFIGURED to INITIALIZED).

Implemented in SequencerTimerTool.

virtual const IInterface* IAlgTool::parent | ( |  | ) | const
| pure virtual

The parent of the concrete AlgTool.

It can be an Algorithm or a Service. A common AlgTool has the ToolSvc as parent.

virtual StatusCode IAlgTool::reinitialize | ( |  | ) |
| pure virtual

Initialization (from INITIALIZED or RUNNING to INITIALIZED, via CONFIGURED).

virtual StatusCode IAlgTool::restart | ( |  | ) |
| pure virtual

Initialization (from RUNNING to RUNNING, via INITIALIZED).

virtual StatusCode IAlgTool::start | ( |  | ) |
| pure virtual

Start (from INITIALIZED to RUNNING).

virtual StatusCode IAlgTool::stop | ( |  | ) |
| pure virtual

Stop (from RUNNING to INITIALIZED).

virtual StatusCode IAlgTool::sysFinalize | ( |  | ) |
| pure virtual

Finalization of the Tool.

This method is called typically by the ToolSvc. For completeless this method is called before the tool is destructed.

virtual StatusCode IAlgTool::sysInitialize | ( |  | ) |
| pure virtual

Initialization of the Tool.

This method is called typically by the ToolSvc. It allows to complete the initialization that could not be done with a simply a constructor.

virtual StatusCode IAlgTool::sysReinitialize | ( |  | ) |
| pure virtual

Initialization of the Tool.

This method is called typically by the ToolSvc. It allows to complete the initialization that could not be done with a simply a constructor.

virtual StatusCode IAlgTool::sysRestart | ( |  | ) |
| pure virtual

Initialization of the Tool.

This method is called typically by the ToolSvc. It allows to complete the initialization that could not be done with a simply a constructor.

virtual StatusCode IAlgTool::sysStart | ( |  | ) |
| pure virtual

Initialization of the Tool.

This method is called typically by the ToolSvc. It allows to complete the initialization that could not be done with a simply a constructor.

virtual StatusCode IAlgTool::sysStop | ( |  | ) |
| pure virtual

Initialization of the Tool.

This method is called typically by the ToolSvc. It allows to complete the initialization that could not be done with a simply a constructor.

virtual StatusCode IAlgTool::terminate | ( |  | ) |
| pure virtual

Initialization (from CONFIGURED to OFFLINE).

virtual const std::string& IAlgTool::type | ( |  | ) | const
| pure virtual

The type of an AlgTool, meaning the concrete AlgTool class.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IAlgTool.h